Get wallet overview
curl --request GET \
--url https://api.launch.o1.exchange/v1/wallets/{address} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.launch.o1.exchange/v1/wallets/{address}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.launch.o1.exchange/v1/wallets/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"wallet": "<string>",
"latest_launch": {
"token": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 127,
"image_url": "<string>"
},
"launch": {
"creator_address": "<string>",
"suite": {
"id": "<string>",
"version": "<string>"
},
"pool_id": "<string>",
"quote": {
"address": "<string>",
"symbol": "<string>",
"decimals": 127
},
"features": {
"allocations": true,
"vesting": true,
"editable_metadata": true
},
"onchain": {
"transaction_hash": "<string>",
"block_number": 1,
"block_hash": "<string>",
"log_index": 1
},
"created_at": "2023-11-07T05:31:56Z",
"creation_fee": {
"amount_raw": "<string>",
"currency_address": "<string>",
"decimals": 127,
"symbol": "<string>"
}
},
"market_data": {
"price": {
"quote": 123,
"usd": 123
},
"market_cap": {
"quote": 123,
"usd": 123
},
"liquidity": {
"quote": 123,
"usd": 123
},
"activity": {
"1h": {
"trades": 123,
"volume_quote_raw": "1000000000000000000",
"volume_usd": 123
},
"6h": {
"trades": 123,
"volume_quote_raw": "1000000000000000000",
"volume_usd": 123
},
"24h": {
"trades": 123,
"volume_quote_raw": "1000000000000000000",
"volume_usd": 123
},
"lifetime": {
"trades": 123,
"volume_quote_raw": "1000000000000000000"
}
},
"last_trade_at": "2026-07-31T12:00:00.000Z",
"quote_price": {
"usd": 123,
"updated_at": "2026-07-31T12:00:00.000Z"
},
"observed_block": 123,
"confirmed_block": 123,
"updated_at": "2026-07-31T12:00:00.000Z"
}
},
"latest_activity": {
"details": {
"amount_raw": "<string>",
"amount": "<string>",
"quote_address": "<string>",
"quote_amount_raw": "<string>",
"pool_id": "<string>",
"credit_count": 1,
"fee_escrow_address": "<string>",
"metadata_key": "<string>",
"description": "<string>"
},
"timestamp": "2023-11-07T05:31:56Z",
"onchain": {
"transaction_hash": "<string>",
"block_number": 1,
"block_hash": "<string>",
"log_index": 1
},
"role": "<string>",
"token": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 127,
"image_url": "<string>"
},
"token_address": "<string>"
},
"has_claimable_fees": true,
"has_claimable_vesting": true
},
"meta": {
"request_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"warnings": [
"<string>"
]
}
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "<string>",
"detail": "<string>",
"request_id": "<string>",
"instance": "<string>"
}Wallets
Get wallet overview
Get a compact launchpad overview with the wallet’s latest launch, latest activity, and claimable-position flags.
GET
/
wallets
/
{address}
Get wallet overview
Authorizations
Production API key beginning with o1_launch_.
Path Parameters
Wallet address.
Pattern:
^0x[0-9a-fA-F]{40}$Example:
"0x1111111111111111111111111111111111111111"
Query Parameters
Production chain to query.
Available options:
8453, 4663 Example:
8453
Launch market to include.
Available options:
standard, rwa, all ⌘I
